<?php
/**
 * TOP API: taobao.marketing.promotion.add request
 * 
 * @author auto create
 * @since 1.0, 2011-05-17 15:32:01.0
 */
class MarketingPromotionAddRequest
{
	/** 
	 * 折扣类型，可选PRICE(优惠价格)和DISCOUNT(折扣)，填写其它值返回错误
	 **/
	private $discountType;
	
	/** 
	 * 优惠额度，若优惠类型为折扣（DISCOUNT），则传入该商品的折扣比例，有效值范围：0.1-9.9，支持小数点后1位。
若优惠类型为优惠价格(PRICE)，传入该商品的优惠价，单位：元，支持小数点后2位
	 **/
	private $discountValue;
	
	/** 
	 * 优惠结束时间
	 **/
	private $endDate;
	
	/** 
	 * 优惠策略适用的商品数字ID列表，一次最多设置10个商品，以半角','号分割。
	 **/
	private $numIids;
	
	/** 
	 * 显示在宝贝详情页面的优惠图标的tip，不填则默认为活动设置的icon图片说明
	 **/
	private $promotionTitle;
	
	/** 
	 * 优惠开始时间
	 **/
	private $startDate;
	
	/** 
	 * 标签ID。这里的标签可以使用taobao.marketing.tag.add这个API创建得到的标签ID，也可以使用淘宝提供的公共标签:1=全网会员
	 **/
	private $tagId;
	
	private $apiParas = array();
	
	public function setDiscountType($discountType)
	{
		$this->discountType = $discountType;
		$this->apiParas["discount_type"] = $discountType;
	}

	public function getDiscountType()
	{
		return $this->discountType;
	}

	public function setDiscountValue($discountValue)
	{
		$this->discountValue = $discountValue;
		$this->apiParas["discount_value"] = $discountValue;
	}

	public function getDiscountValue()
	{
		return $this->discountValue;
	}

	public function setEndDate($endDate)
	{
		$this->endDate = $endDate;
		$this->apiParas["end_date"] = $endDate;
	}

	public function getEndDate()
	{
		return $this->endDate;
	}

	public function setNumIids($numIids)
	{
		$this->numIids = $numIids;
		$this->apiParas["num_iids"] = $numIids;
	}

	public function getNumIids()
	{
		return $this->numIids;
	}

	public function setPromotionTitle($promotionTitle)
	{
		$this->promotionTitle = $promotionTitle;
		$this->apiParas["promotion_title"] = $promotionTitle;
	}

	public function getPromotionTitle()
	{
		return $this->promotionTitle;
	}

	public function setStartDate($startDate)
	{
		$this->startDate = $startDate;
		$this->apiParas["start_date"] = $startDate;
	}

	public function getStartDate()
	{
		return $this->startDate;
	}

	public function setTagId($tagId)
	{
		$this->tagId = $tagId;
		$this->apiParas["tag_id"] = $tagId;
	}

	public function getTagId()
	{
		return $this->tagId;
	}

	public function getApiMethodName()
	{
		return "taobao.marketing.promotion.add";
	}
	
	public function getApiParas()
	{
		return $this->apiParas;
	}
}
